name: YouTubeTranscripts
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "16.0"
  generateEmptyDirectories: true

settings:
  base:
    SWIFT_VERSION: "5.9"
    MACOSX_DEPLOYMENT_TARGET: "14.0"
    DEVELOPMENT_TEAM: "N3W33U35PP"

targets:
  YouTubeTranscripts:
    type: application
    platform: macOS
    sources:
      - Sources
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.YouTubeTranscripts
        INFOPLIST_FILE: Sources/Info.plist
        PRODUCT_NAME: YouTube Transcripts
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        ENABLE_HARDENED_RUNTIME: YES
        CODE_SIGN_ENTITLEMENTS: Sources/YouTubeTranscripts.entitlements
